<?php /**
* Plugin MesLiensSociaux - config page
*
* @package	PLX
* @version	1.0
* @date	13/11/16
* @author Broco
**/
if(!defined("PLX_ROOT")) exit; ?>
<?php 
	if(!empty($_POST)) {
		$names 			=base64_encode(serialize(array_filter($_POST['mysocialname'])));
		$links 			=base64_encode(serialize(array_filter($_POST['mysociallink'])));
		$icons 			=base64_encode(serialize(array_filter($_POST['mysocialicon'])));
		$descriptions 	=base64_encode(serialize(array_filter($_POST['mysocialdescription'])));

		$plxPlugin->setParam("mysocial_title", 			plxUtils::strCheck($_POST['mysocial_title']), "string");
		$plxPlugin->setParam("mysocialicon_size", 		plxUtils::strCheck($_POST['mysocialicon_size']), "string");
		$plxPlugin->setParam("mysocialdesc_in_title", 	plxUtils::strCheck($_POST['mysocialdesc_in_title']), "string");
		$plxPlugin->setParam("mysocialicon", 			plxUtils::strCheck($icons), "string");		
		$plxPlugin->setParam("mysocialname", 			plxUtils::strCheck($names), "string");
		$plxPlugin->setParam("mysociallink", 			plxUtils::strCheck($links), "string");
		$plxPlugin->setParam("mysocialdescription", 	plxUtils::strCheck($descriptions), "string");
		$plxPlugin->saveParams();
		header("Location: parametres_plugin.php?p=MesLiensSociaux");
		exit;
	}
	$size=$plxPlugin->getParam("mysocialicon_size");
	$array=array(
		'_blankicon'=>'&#8709;',
		'icon-asterisk'=>'diaspora',
		'icon-duckduckgo'=>'duckduckgo',
		'icon-digg'=>'digg',
		'icon-stackoverflow'=>'stackoverflow',
		'icon-deviantart'=>'deviantart',
		'icon-link'=>'link',
		'icon-mail-squared'=>'mail',
		'icon-reddit-'=>'reddit',
		'icon-wechat'=>'chat',
		'icon-snapchat'=>'snapchat',
		'icon-github-circled'=>'github',
		'icon-flickr-circled'=>'flickr',
		'icon-twitter-circled'=>'twitter',
		'icon-facebook-squared'=>'facebook',
		'icon-gplus-circled'=>'gplus',
		'icon-pinterest-circled'=>'pinterest',
		'icon-youtube'=>'youtube/video',
		'icon-tumblr-circled'=>'tumblr',
		'icon-jabber'=>'jabber',
		'icon-linkedin-circled'=>'linkedin',
		'icon-dribbble-circled'=>'dribbble',
		'icon-stumbleupon-circled'=>'stumbleupon',
		'icon-lastfm-circled'=>'lastfm',
		'icon-rdio-circled'=>'rdio',
		'icon-spotify'=>'spotify',
		'icon-qq'=>'qq',
		'icon-codepen'=>'codepen',
		'icon-instagram'=>'instagram',
		'icon-dropbox'=>'dropbox',
		'icon-evernote'=>'evernote',
		'icon-flattr'=>'flattr',
		'icon-skype-circled'=>'skype',
		'icon-renren'=>'renren',
		'icon-picasa'=>'picasa',
		'icon-soundcloud'=>'soundcloud',
		'icon-mixi'=>'mixi',
		'icon-vkontakte'=>'vkontakte',
		'icon-smashing'=>'smashing',
		'icon-user-male'=>'user male',
		'icon-user-female'=>'user female',
	);
	sort($array);
	$iconoption='';
	foreach ($array as $key => $value) {
		$iconoption.= '<option value="'.$value.'">'.$value.'</option>';
	}

?>
<script>

 function removeme(obj){
	if (obj.length==0){return;}
	parent=obj.parentNode;
	console.log(parent);
	parent.remove();
}
 function addnew(obj){
	if (obj.length==0){return;}
	// clone the completed one & add it after
	fullone=obj.parentNode.cloneNode(true);
	obj.parentNode.parentNode.appendChild(fullone);

	// reset the add_new form
	obj.parentNode.removeAttribute('id');
	obj.parentNode.childNodes.forEach(function(object){
		object.value='';
	});
	fullone.lastElementChild.removeAttribute('class');
	fullone.lastElementChild.previousElementSibling.style.display='none';
	
}

</script>
<style> 
	.hidden{display:none;}
	fieldset{padding:10px;margin-bottom:20px;border-bottom:1px solid rgba(0,0,0,0.5);}
	.remove a{color:red;}
</style>

<h2><?php $plxPlugin->lang("L_TITLE") ?></h2>
<p><?php $plxPlugin->lang("L_DESCRIPTION"); ?></p>
<form action="parametres_plugin.php?p=MesLiensSociaux" method="post" >
	<p><input type="submit" name="submit" value="Enregistrer"/> </p>

	<p class="col sml-12 med-4">
		<label><?php echo $plxPlugin->lang("L_TITLE_PARAM");?></label>
		<input type="text" style="width:100%;" name="mysocial_title" value="<?php echo $plxPlugin->getParam("mysocial_title");?>"/>
	</p>
	<p class="col sml-12 med-4">
		<label><?php echo $plxPlugin->lang("L_ICON_SIZE");?></label>
		<select style="width:100%;" name="mysocialicon_size" >
			<option<?php   echo $size==''?' selected ':''?> value="">&#8709;</option>
			<option<?php  echo $size=='8'?' selected ':''?>  value="8">8x8</option>
			<option<?php echo $size=='16'?' selected ':''?>  value="16">16x16</option>
			<option<?php echo $size=='24'?' selected ':''?>  value="24">24x24</option>
			<option<?php echo $size=='32'?' selected ':''?>  value="32">32x32</option>
			<option<?php echo $size=='48'?' selected ':''?>  value="48">48x48</option>
			<option<?php echo $size=='64'?' selected ':''?>  value="64">64x64</option>
		</select>

	</p>
		
	<p class="col sml-12 med-4">
		<label><?php echo $plxPlugin->lang("L_SHOW");?></label>
		<select style="width:100%;" name="mysocialdesc_in_title" value="<?php echo $plxPlugin->getParam("mysocialdesc_in_title");?>"><option value="0" <?php echo $plxPlugin->getParam("mysocialdesc_in_title")=="0" ? 'selected="true"' : ''?>><?php echo $plxPlugin->lang("L_DESCRIPTION_ON_HOVER");?></option>
			<option value="1" <?php echo $plxPlugin->getParam("mysocialdesc_in_title")=="1" ? 'selected="true"' : 'no'?>><?php echo $plxPlugin->lang("L_DESCRIPTION_VISIBLE");?></option>
		</select>
	</p>
	<div style="clear:both"></div>
	
	<hr/>
	<div>
	<div id="add">
		<fieldset id="clone_this">
		<p class="col sml-12 med-1">
			<label><?php echo $plxPlugin->lang("L_ICON");?></label>
			<select style="width:100%;" name="mysocialicon[]" >
				<?php echo $iconoption;?>
				
			</select>

		</p>
		<p class="col sml-12 med-2">
			<label><?php $plxPlugin->lang("L_NAME") ?></label>
			<input type="text" style="width:100%;" name="mysocialname[]" value="" placeholder=""/>
		</p>
		<p class="col sml-12 med-2">
			<label>URL</label>
			<input type="url" style="width:100%;" name="mysociallink[]" value=""  placeholder="<?php $plxPlugin->lang("L_URL_EXAMPLE") ?>"/>
		</p>
		<p class="col sml-12 med-6">
			<label>&nbsp;</label>
			<input type="text" style="width:100%;" name="mysocialdescription[]" placeholder="" value=""/>
		</p>
		<div style="clear:both"></div>
		<p>
			<a onclick="addnew(this);" id="add_link">&#8853; <?php $plxPlugin->lang("L_ADD_NEW") ?> &#9660;</a>
			<a onclick="removeme(this);" class="hidden">&#10006; <?php $plxPlugin->lang("L_REMOVE");?></a>
		</p>
		</fieldset>
	</div>
<?php 
	$names 			=unserialize(base64_decode($plxPlugin->getParam("mysocialname")));
	$icons 			=unserialize(base64_decode($plxPlugin->getParam("mysocialicon")));
	$links 			=unserialize(base64_decode($plxPlugin->getParam("mysociallink")));
	$descriptions 	=unserialize(base64_decode($plxPlugin->getParam("mysocialdescription")));
	if (is_array($names)){
		foreach ($names as $key => $value) {
			if (empty($links[$key])){$links[$key]='';}
			if (empty($descriptions[$key])){$descriptions[$key]='';}
			echo '
			<div>
				<fieldset class="remove">
					<p class="col sml-12 med-2">
						<label>'.$plxPlugin->getlang("L_ICON").'</label>
						<select style="width:100%;" name="mysocialicon[]" >
							<option class="current" value="'.$icons[$key].'">'.$icons[$key].'</option>
							'.$iconoption.'
							
						</select>

					</p>
					<p class="col sml-12 med-4">
						<label>'.$plxPlugin->getlang("L_NAME").'</label>
						<input type="text" style="width:100%;" name="mysocialname[]" value="'.$value.'" placeholder="'.$plxPlugin->getlang("L_NAME").'"/>
					</p>
					<p class="col sml-12 med-3">
						<label>URL</label>
						<input type="url" style="width:100%;" name="mysociallink[]" value="'.$links[$key].'"  placeholder="'.$plxPlugin->getlang("L_URL_EXAMPLE").'"/>
					</p>
					<p class="col sml-12 med-3">
						<label>&nbsp;</label>
						<input type="text" style="width:100%;" name="mysocialdescription[]" placeholder="'.$plxPlugin->getlang("L_DESC").'" value="'.$descriptions[$key].'"/>
					</p>
					<div style="clear:both"></div>
					<a onclick="removeme(this)">&#10006; '.$plxPlugin->getlang("L_REMOVE").' <strong>'.$value.'</strong></a>
				</fieldset>
			</div>
			';
		}
	}
?>


	</div>
	<p class="right"></p>
	<div style="clear:both"></div>
	<input type="submit" name="submit" value="Enregistrer"/>
</form>